export class FillTask {

  type: any;
  x : number; 
  y : number;
  color : any;
  textureImage: any;
  area: any;
  areaIndex: any;
  brush: any;
  size: any;

  constructor(type : FILL_TYPE, x ? : number, y ?:  number) {
    this.type = type;
  }


  static undoTask() {
    return new FillTask(FILL_TYPE.UNDO);
  }

  static redoTask() {
    return new FillTask(FILL_TYPE.REDO);
  }

}

export enum FILL_TYPE {
  SOLID = 1,
  LINEAR_GRADIENT = 2,
  RADIAL_GRADIENT = 3,
  DRAW = 4,
  BRUSH = 4,
  ERASE = 100,
  UNDO = 1000,
  REDO = 1001,
}
